Qt 5.6 | Qt 3D | C++ Classes | QSceneChange

Qt 5.6.3 Reference Documentation

# QSceneChange Class

(Qt3DCore::QSceneChange)

Inherited By: | Qt3DCore::QScenePropertyChange

- List of all members, including inherited members

## Public Types

enum | ObservableType { Observable, Node }
enum | Priority { High, Standard, Low }

## Public Functions

| QSceneChange(ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)
virtual | ~QSceneChange()
QSceneChange::ObservableType | observableType() const
QSceneChange::Priority | priority() const
QNodeId | subjectId() const
qint64 | timestamp() const
ChangeFlag | type() const

## Protected Functions

| QSceneChange(QSceneChangePrivate &dd)
| QSceneChange(QSceneChangePrivate &dd, ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

## Member Type Documentation

### enum QSceneChange::ObservableType

### enum QSceneChange::Priority

## Member Function Documentation

### QSceneChange::QSceneChange(ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

Default constructs an instance of QSceneChange.

### `[protected]` QSceneChange::QSceneChange(QSceneChangePrivate &dd)

Copy constructor.

### `[protected]` QSceneChange::QSceneChange(QSceneChangePrivate &dd, ChangeFlag type, ObservableType observableType, const QNodeId &subjectId, Priority priority = Standard)

Copy constructor.

### `[virtual]` QSceneChange::~QSceneChange()

Destroys the instance of QSceneChange. The destructor is virtual.

### QSceneChange::ObservableType QSceneChange::observableType() const

### QSceneChange::Priority QSceneChange::priority() const

### QNodeId QSceneChange::subjectId() const

### qint64 QSceneChange::timestamp() const

### ChangeFlag QSceneChange::type() const